%define oname ruby-rpm

Summary: An interface to access RPM database for Ruby
Name: ruby-rpm
Version: 1.3.1
Release: %mkrel 11
Group: Development/Ruby
License: GPL
URL: http://rubyforge.org/projects/ruby-rpm/
Source0: http://rubygems.org/downloads/%{name}-%{version}.gem
Patch0: 0001-Remove-constants-which-no-longer-exist-in-4.9.0.patch
Patch1: 0002-Port-other-things-to-rpm-4.9.patch
Patch2: 0003-Link-with-librpmbuild.patch
Patch3: 0001-Stop-handling-rpmcliPackagesTotal-rpmShowProgress-no.patch
Patch4: 0002-Use-ruby-st.h-instead-of-bare-st.h.patch
patch5: 0003-Link-against-librpmio.patch
patch10: rpm-4.11.diff
BuildRequires: ruby-devel >= 1.8.1
BuildRequires: rpm-devel >= 4.2.1
BuildRequires: rubygems

%description
Ruby/RPM is an interface to access RPM database for Ruby

%prep
%gem_setup
%apply_patches

%build
%gem_build

%install
%gem_install

%files
%doc CHANGELOG.rdoc README.rdoc
%doc %{gem_docdir}
%{gem_instdir}
%{gem_spec}
%{gem_extdir_mri}/lib/rpm.so


%changelog
* Sat Dec 28 2013 pterjan <pterjan> 1.3.1-11.mga4
+ Revision: 562686
- Fix gem macros and drop old workaround

* Thu Dec 19 2013 pterjan <pterjan> 1.3.1-10.mga4
+ Revision: 558714
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 1.3.1-9.mga4
+ Revision: 537972
- Mageia 4 Mass Rebuild

* Sat Sep 28 2013 fwang <fwang> 1.3.1-8.mga4
+ Revision: 488213
- define oname
- use gem-setup

* Fri Feb 08 2013 umeabot <umeabot> 1.3.1-7.mga3
+ Revision: 396392
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1.3.1-6.mga3
+ Revision: 381356
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 18 2012 tv <tv> 1.3.1-5.mga3
+ Revision: 332372
- patch 10: adapt to rpm-4.1
- rebuild for new rpm

* Thu Nov 08 2012 pterjan <pterjan> 1.3.1-4.mga3
+ Revision: 316268
- Patches for new rpm and new ruby

  + fwang <fwang>
    - rebuild for updated rpm

  + tv <tv>
    - rebuild for new rpm-4.10.0

* Tue Jan 03 2012 pterjan <pterjan> 1.3.1-2.mga2
+ Revision: 189763
- Fixed file list
- Updated doc list
- Port to rpm 4.9

  + fwang <fwang>
    - new version 1.3.1

  + dmorgan <dmorgan>
    - Rebuild against rpm 4.9.1.2

* Sat Apr 30 2011 pterjan <pterjan> 1.2.3-12.mga1
+ Revision: 93765
- Bump release
- imported package ruby-rpm


* Tue Sep 08 2009 Pascal Terjan <pterjan@mandriva.org> 1.2.3-11mdv2010.0
+ Revision: 433349
- build with db-4.7
- Add poor suggests support

* Thu Mar 05 2009 Pascal Terjan <pterjan@mandriva.org> 1.2.3-10mdv2009.1
+ Revision: 348798
- Add rpm 4.6 patch from momonga (and disable rpm5 patch for now)

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild for new rpm

* Sat Aug 02 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.3-8mdv2009.0
+ Revision: 260434
- rebuild

* Mon Jul 28 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.2.3-7mdv2009.0
+ Revision: 251785
- rebuild

* Mon Mar 10 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.2.3-5mdv2008.1
+ Revision: 183269
- fixed misleading usage message in rpmvercmp.rb...

* Mon Mar 10 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.2.3-4mdv2008.1
+ Revision: 183267
- included a very simple rpm version comparator (/usr/bin/rpmvercmp.rb)

* Mon Mar 10 2008 Gustavo De Nardin <gustavodn@mandriva.com> 1.2.3-3mdv2008.1
+ Revision: 183208
- needs a rebuild, for either new rpm, or new ruby (unlikely, I think)

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - add rpm5 support (P2)

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Jun 10 2007 Olivier Thauvin <nanardon@mandriva.org> 1.2.3-2mdv2008.0
+ Revision: 37950
- patch1: rpm 4.4.8 adaptation

* Sun May 20 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.3-1mdv2008.0
+ Revision: 28768
- 1.2.3


* Thu Mar 22 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.2-1mdv2007.1
+ Revision: 147836
- 1.2.2
- drop the first part of P0 (merged upstream)
- use standart macros

* Sun Jan 07 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.1-6mdv2007.1
+ Revision: 105067
- Bump release
- Update group and URL

* Sun Jan 07 2007 Pascal Terjan <pterjan@mandriva.org> 1.2.1-5mdv2007.1
+ Revision: 104992
- Fix building with latest rpm
- 1.2.1
- drop old patches
- start support building against new rpm
- Import ruby-rpm

* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.2.0-7mdk
- Add patch 4 (avoid segfaults with rpm 4.4.5)

* Wed Mar 15 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.2.0-6mdk
- Rebuild for rpm 4.4.5

* Thu Jul 14 2005 Pascal Terjan <pterjan@mandriva.org> 1.2.0-5mdk
- add upstrem patch (P3) implementing sprintf method

* Thu May 12 2005 Olivier Thauvin <nanardon@mandriva.org> 1.2.0-4mdk
- rebuild for rpm 4.4

* Fri Jan 21 2005 Pascal Terjan <pterjan@mandrake.org> 1.2.0-3mdk
- replace P0 with upstream patch also fixing rb_time_new
- add upstream patch (P1) implementing expand method
- add upstream patch (P2) implementing inspect method

* Sun Jan 16 2005 Pascal Terjan <pterjan@mandrake.org> 1.2.0-2mdk
- fix rb_time_new usage

* Sat Jul 03 2004 Pascal Terjan <pterjan@mandrake.org> 1.2.0-1mdk
- Adapt for Mandrakelinux 
- Patch for a segfault when TMP or TEMP or TMPDIR exist but does not contain =

